GLOBALS = globals()

# CHANGE this tuple of python dictionnaries to list the different skin
#  selections and their associated specific layers.
#   'name' (required): the name of the new skin.
#     This will be what the user sees when choosing skins, and will be the
#     name of a property in portal_skins.
#   'base' (required): the name of the skin selection on which the new one
#     is based.
#   'layers' (optional): the name of the specific layers for the skin
#     selection. By default (if the value is empty or if the key is absent
#     from the dictionnary), all the folders in 'skins/' will be listed
#     underneath 'custom' in the new skin selection layers.
SKINSELECTIONS = (
    {'name': 'EEADesign2006',
     'base': 'Plone Tableless',
#     'layers': ('eeadesign2006_styles',),
     },
    )

# CHANGE it to False if you don't want the new skin selection to be selected
#  at installation.
SELECTSKIN = True

# CHANGE it to the name of the skin selection that must be set as default in
#  case SELECTSKIN is set to True.
DEFAULTSKIN = 'EEADesign2006'

# CHANGE this tuple of python dictionnaries to list the stylesheets that
#  will be registered with the portal_css tool.
#  'id' (required):
#    it must respect the name of the css or DTML file (case sensitive).
#    '.dtml' suffixes must be ignored.
#  'expression' (optional - default: ''): a tal condition.
#  'media' (optional - default: ''): possible values: 'screen', 'print',
#    'projection', 'handheld'...
#  'rel' (optional - default: 'stylesheet')
#  'title' (optional - default: '')
#  'rendering' (optional - default: 'import'): 'import', 'link' or 'inline'.
#  'enabled' (optional - default: 1): boolean
#  'cookable' (optional - default: True): boolean (aka 'merging allowed')
#  See registerStylesheet() arguments in
#  ResourceRegistries/tools/CSSRegistry.py
#  for the latest list of all available keys and default values.
STYLESHEETS = (
               
    {'id': 'eeadesign2006.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'portlet.css', 'media': 'all', 'rendering': 'import'},    
    {'id': 'visual.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'authoring.css', 'media': 'all', 'rendering': 'import','expression':'python:here.portal_url.getPortalObject().getCurrentSkinName()=="Plone Default"'},       {'id': 'generated.css', 'media': 'all', 'rendering': 'import','expression':'python:portal != object'},            
    {'id': 'eea-globaltabs.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'eea-navigation.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'eea-highlights.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'resolution.css', 'media': 'all', 'rendering': 'import'},
    {'id': 'resolution_800-1024.css', 'media': 'all', 'rendering': 'link','rel':'alternate stylesheet','title':'800 to 1024'},
    {'id': 'resolution1024-1280.css', 'media': 'all', 'rendering': 'link','rel':'alternate stylesheet','title':'1024 to 1280'},
    {'id': 'resolution_1280up.css', 'media': 'all', 'rendering': 'link','rel':'alternate stylesheet','title':'1280up'},
    {'id': 'IE7Fixes.css', 'media': 'all', 'rendering': 'import'},
)

# CHANGE this tuple of python dictionnaries to list the javascripts that
#  will be registered with the portal_javascripts tool.
#  'id' (required): same rules as for stylesheets.
#  'expression' (optional - default: ''): a tal condition.
#  'inline' (optional - default: False): boolean
#  'enabled' (optional - default: True): boolean
#  'cookable' (optional - default: True): boolean (aka 'merging allowed')
#  See registerScript() arguments in ResourceRegistries/tools/JSRegistry.py
#  for the latest list of all available keys and default values.
JAVASCRIPTS = (
    {'id': 'attachevent.js','expression': '', 'inline': False, 'enabled': True, 'cookable': True  },
    {'id': 'drop.js','expression': '', 'inline': False, 'enabled': True, 'cookable': True  },               
    {'id': 'resolution.js','expression': '', 'inline': False, 'enabled': True, 'cookable': True  },
)

# CHANGE it to True if you want users to be able to select the skin to use
#  from their personal preferences management page.
#  In the ZMI, this value is known as 'Skin flexibility'.
ALLOWSELECTION = False

# CHANGE it to True if you want to make the skin cookie persist indefinitely.
#  In the ZMI, this value is known as 'Skin Cookie persistence'.
PERSISTENTCOOKIE = False

# CHANGE it to True if you want portal_skins properties to be reset to Plone
#  default values when the product is uninstalled:
#  Default Skin: 'Plone Default', Skin flexibility: False,
#  Skin Cookie persistence: False.
#  If set to False: Default Skin: BASESKIN,
#  Skin flexibility and Skin Cookie persistence left unmolested.
FULLRESET = False
